"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateHarvestJobResponse = exports.CreateHarvestJobRequest = exports.CreateChannelResponse = exports.CreateChannelRequest = exports.UnprocessableEntityException = exports.TooManyRequestsException = exports.ServiceUnavailableException = exports.NotFoundException = exports.InternalServerErrorException = exports.ForbiddenException = exports.ConfigureLogsResponse = exports.ConfigureLogsRequest = exports.CmafPackageCreateOrUpdateParameters = exports.OriginEndpoint = exports.Origination = exports.MssPackage = exports.MssEncryption = exports.HlsPackage = exports.HlsEncryption = exports.EncryptionMethod = exports.DashPackage = exports.UtcTiming = exports.SegmentTemplateFormat = exports.Profile = exports.ManifestLayout = exports.DashEncryption = exports.CmafPackage = exports.StreamSelection = exports.StreamOrder = exports.CmafEncryption = exports.SpekeKeyProvider = exports.EncryptionContractConfiguration = exports.PresetSpeke20Video = exports.PresetSpeke20Audio = exports.Authorization = exports.HlsManifestCreateOrUpdateParameters = exports.AdsOnDeliveryRestrictions = exports.HlsManifest = exports.PlaylistType = exports.AdMarkers = exports.HarvestJob = exports.Status = exports.S3Destination = exports.Channel = exports.IngressAccessLogs = exports.HlsIngest = exports.IngestEndpoint = exports.EgressAccessLogs = exports.__PeriodTriggersElement = exports.__AdTriggersElement = void 0;
exports.UpdateOriginEndpointResponse = exports.UpdateOriginEndpointRequest = exports.UpdateChannelResponse = exports.UpdateChannelRequest = exports.UntagResourceRequest = exports.TagResourceRequest = exports.RotateIngestEndpointCredentialsResponse = exports.RotateIngestEndpointCredentialsRequest = exports.RotateChannelCredentialsResponse = exports.RotateChannelCredentialsRequest = exports.ListTagsForResourceResponse = exports.ListTagsForResourceRequest = exports.ListOriginEndpointsResponse = exports.ListOriginEndpointsRequest = exports.ListHarvestJobsResponse = exports.ListHarvestJobsRequest = exports.ListChannelsResponse = exports.ListChannelsRequest = exports.DescribeOriginEndpointResponse = exports.DescribeOriginEndpointRequest = exports.DescribeHarvestJobResponse = exports.DescribeHarvestJobRequest = exports.DescribeChannelResponse = exports.DescribeChannelRequest = exports.DeleteOriginEndpointResponse = exports.DeleteOriginEndpointRequest = exports.DeleteChannelResponse = exports.DeleteChannelRequest = exports.CreateOriginEndpointResponse = exports.CreateOriginEndpointRequest = void 0;
const MediaPackageServiceException_1 = require("./MediaPackageServiceException");
var __AdTriggersElement;
(function (__AdTriggersElement) {
    __AdTriggersElement["BREAK"] = "BREAK";
    __AdTriggersElement["DISTRIBUTOR_ADVERTISEMENT"] = "DISTRIBUTOR_ADVERTISEMENT";
    __AdTriggersElement["DISTRIBUTOR_OVERLAY_PLACEMENT_OPPORTUNITY"] = "DISTRIBUTOR_OVERLAY_PLACEMENT_OPPORTUNITY";
    __AdTriggersElement["DISTRIBUTOR_PLACEMENT_OPPORTUNITY"] = "DISTRIBUTOR_PLACEMENT_OPPORTUNITY";
    __AdTriggersElement["PROVIDER_ADVERTISEMENT"] = "PROVIDER_ADVERTISEMENT";
    __AdTriggersElement["PROVIDER_OVERLAY_PLACEMENT_OPPORTUNITY"] = "PROVIDER_OVERLAY_PLACEMENT_OPPORTUNITY";
    __AdTriggersElement["PROVIDER_PLACEMENT_OPPORTUNITY"] = "PROVIDER_PLACEMENT_OPPORTUNITY";
    __AdTriggersElement["SPLICE_INSERT"] = "SPLICE_INSERT";
})(__AdTriggersElement = exports.__AdTriggersElement || (exports.__AdTriggersElement = {}));
var __PeriodTriggersElement;
(function (__PeriodTriggersElement) {
    __PeriodTriggersElement["ADS"] = "ADS";
})(__PeriodTriggersElement = exports.__PeriodTriggersElement || (exports.__PeriodTriggersElement = {}));
var EgressAccessLogs;
(function (EgressAccessLogs) {
    EgressAccessLogs.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EgressAccessLogs = exports.EgressAccessLogs || (exports.EgressAccessLogs = {}));
var IngestEndpoint;
(function (IngestEndpoint) {
    IngestEndpoint.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(IngestEndpoint = exports.IngestEndpoint || (exports.IngestEndpoint = {}));
var HlsIngest;
(function (HlsIngest) {
    HlsIngest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HlsIngest = exports.HlsIngest || (exports.HlsIngest = {}));
var IngressAccessLogs;
(function (IngressAccessLogs) {
    IngressAccessLogs.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(IngressAccessLogs = exports.IngressAccessLogs || (exports.IngressAccessLogs = {}));
var Channel;
(function (Channel) {
    Channel.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Channel = exports.Channel || (exports.Channel = {}));
var S3Destination;
(function (S3Destination) {
    S3Destination.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(S3Destination = exports.S3Destination || (exports.S3Destination = {}));
var Status;
(function (Status) {
    Status["FAILED"] = "FAILED";
    Status["IN_PROGRESS"] = "IN_PROGRESS";
    Status["SUCCEEDED"] = "SUCCEEDED";
})(Status = exports.Status || (exports.Status = {}));
var HarvestJob;
(function (HarvestJob) {
    HarvestJob.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HarvestJob = exports.HarvestJob || (exports.HarvestJob = {}));
var AdMarkers;
(function (AdMarkers) {
    AdMarkers["DATERANGE"] = "DATERANGE";
    AdMarkers["NONE"] = "NONE";
    AdMarkers["PASSTHROUGH"] = "PASSTHROUGH";
    AdMarkers["SCTE35_ENHANCED"] = "SCTE35_ENHANCED";
})(AdMarkers = exports.AdMarkers || (exports.AdMarkers = {}));
var PlaylistType;
(function (PlaylistType) {
    PlaylistType["EVENT"] = "EVENT";
    PlaylistType["NONE"] = "NONE";
    PlaylistType["VOD"] = "VOD";
})(PlaylistType = exports.PlaylistType || (exports.PlaylistType = {}));
var HlsManifest;
(function (HlsManifest) {
    HlsManifest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HlsManifest = exports.HlsManifest || (exports.HlsManifest = {}));
var AdsOnDeliveryRestrictions;
(function (AdsOnDeliveryRestrictions) {
    AdsOnDeliveryRestrictions["BOTH"] = "BOTH";
    AdsOnDeliveryRestrictions["NONE"] = "NONE";
    AdsOnDeliveryRestrictions["RESTRICTED"] = "RESTRICTED";
    AdsOnDeliveryRestrictions["UNRESTRICTED"] = "UNRESTRICTED";
})(AdsOnDeliveryRestrictions = exports.AdsOnDeliveryRestrictions || (exports.AdsOnDeliveryRestrictions = {}));
var HlsManifestCreateOrUpdateParameters;
(function (HlsManifestCreateOrUpdateParameters) {
    HlsManifestCreateOrUpdateParameters.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HlsManifestCreateOrUpdateParameters = exports.HlsManifestCreateOrUpdateParameters || (exports.HlsManifestCreateOrUpdateParameters = {}));
var Authorization;
(function (Authorization) {
    Authorization.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Authorization = exports.Authorization || (exports.Authorization = {}));
var PresetSpeke20Audio;
(function (PresetSpeke20Audio) {
    PresetSpeke20Audio["PRESET_AUDIO_1"] = "PRESET-AUDIO-1";
})(PresetSpeke20Audio = exports.PresetSpeke20Audio || (exports.PresetSpeke20Audio = {}));
var PresetSpeke20Video;
(function (PresetSpeke20Video) {
    PresetSpeke20Video["PRESET_VIDEO_1"] = "PRESET-VIDEO-1";
})(PresetSpeke20Video = exports.PresetSpeke20Video || (exports.PresetSpeke20Video = {}));
var EncryptionContractConfiguration;
(function (EncryptionContractConfiguration) {
    EncryptionContractConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EncryptionContractConfiguration = exports.EncryptionContractConfiguration || (exports.EncryptionContractConfiguration = {}));
var SpekeKeyProvider;
(function (SpekeKeyProvider) {
    SpekeKeyProvider.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SpekeKeyProvider = exports.SpekeKeyProvider || (exports.SpekeKeyProvider = {}));
var CmafEncryption;
(function (CmafEncryption) {
    CmafEncryption.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CmafEncryption = exports.CmafEncryption || (exports.CmafEncryption = {}));
var StreamOrder;
(function (StreamOrder) {
    StreamOrder["ORIGINAL"] = "ORIGINAL";
    StreamOrder["VIDEO_BITRATE_ASCENDING"] = "VIDEO_BITRATE_ASCENDING";
    StreamOrder["VIDEO_BITRATE_DESCENDING"] = "VIDEO_BITRATE_DESCENDING";
})(StreamOrder = exports.StreamOrder || (exports.StreamOrder = {}));
var StreamSelection;
(function (StreamSelection) {
    StreamSelection.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StreamSelection = exports.StreamSelection || (exports.StreamSelection = {}));
var CmafPackage;
(function (CmafPackage) {
    CmafPackage.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CmafPackage = exports.CmafPackage || (exports.CmafPackage = {}));
var DashEncryption;
(function (DashEncryption) {
    DashEncryption.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DashEncryption = exports.DashEncryption || (exports.DashEncryption = {}));
var ManifestLayout;
(function (ManifestLayout) {
    ManifestLayout["COMPACT"] = "COMPACT";
    ManifestLayout["FULL"] = "FULL";
})(ManifestLayout = exports.ManifestLayout || (exports.ManifestLayout = {}));
var Profile;
(function (Profile) {
    Profile["HBBTV_1_5"] = "HBBTV_1_5";
    Profile["HYBRIDCAST"] = "HYBRIDCAST";
    Profile["NONE"] = "NONE";
})(Profile = exports.Profile || (exports.Profile = {}));
var SegmentTemplateFormat;
(function (SegmentTemplateFormat) {
    SegmentTemplateFormat["NUMBER_WITH_DURATION"] = "NUMBER_WITH_DURATION";
    SegmentTemplateFormat["NUMBER_WITH_TIMELINE"] = "NUMBER_WITH_TIMELINE";
    SegmentTemplateFormat["TIME_WITH_TIMELINE"] = "TIME_WITH_TIMELINE";
})(SegmentTemplateFormat = exports.SegmentTemplateFormat || (exports.SegmentTemplateFormat = {}));
var UtcTiming;
(function (UtcTiming) {
    UtcTiming["HTTP_HEAD"] = "HTTP-HEAD";
    UtcTiming["HTTP_ISO"] = "HTTP-ISO";
    UtcTiming["NONE"] = "NONE";
})(UtcTiming = exports.UtcTiming || (exports.UtcTiming = {}));
var DashPackage;
(function (DashPackage) {
    DashPackage.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DashPackage = exports.DashPackage || (exports.DashPackage = {}));
var EncryptionMethod;
(function (EncryptionMethod) {
    EncryptionMethod["AES_128"] = "AES_128";
    EncryptionMethod["SAMPLE_AES"] = "SAMPLE_AES";
})(EncryptionMethod = exports.EncryptionMethod || (exports.EncryptionMethod = {}));
var HlsEncryption;
(function (HlsEncryption) {
    HlsEncryption.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HlsEncryption = exports.HlsEncryption || (exports.HlsEncryption = {}));
var HlsPackage;
(function (HlsPackage) {
    HlsPackage.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HlsPackage = exports.HlsPackage || (exports.HlsPackage = {}));
var MssEncryption;
(function (MssEncryption) {
    MssEncryption.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MssEncryption = exports.MssEncryption || (exports.MssEncryption = {}));
var MssPackage;
(function (MssPackage) {
    MssPackage.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MssPackage = exports.MssPackage || (exports.MssPackage = {}));
var Origination;
(function (Origination) {
    Origination["ALLOW"] = "ALLOW";
    Origination["DENY"] = "DENY";
})(Origination = exports.Origination || (exports.Origination = {}));
var OriginEndpoint;
(function (OriginEndpoint) {
    OriginEndpoint.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OriginEndpoint = exports.OriginEndpoint || (exports.OriginEndpoint = {}));
var CmafPackageCreateOrUpdateParameters;
(function (CmafPackageCreateOrUpdateParameters) {
    CmafPackageCreateOrUpdateParameters.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CmafPackageCreateOrUpdateParameters = exports.CmafPackageCreateOrUpdateParameters || (exports.CmafPackageCreateOrUpdateParameters = {}));
var ConfigureLogsRequest;
(function (ConfigureLogsRequest) {
    ConfigureLogsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ConfigureLogsRequest = exports.ConfigureLogsRequest || (exports.ConfigureLogsRequest = {}));
var ConfigureLogsResponse;
(function (ConfigureLogsResponse) {
    ConfigureLogsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ConfigureLogsResponse = exports.ConfigureLogsResponse || (exports.ConfigureLogsResponse = {}));
class ForbiddenException extends MediaPackageServiceException_1.MediaPackageServiceException {
    constructor(opts) {
        super({
            name: "ForbiddenException",
            $fault: "client",
            ...opts,
        });
        this.name = "ForbiddenException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ForbiddenException.prototype);
        this.Message = opts.Message;
    }
}
exports.ForbiddenException = ForbiddenException;
class InternalServerErrorException extends MediaPackageServiceException_1.MediaPackageServiceException {
    constructor(opts) {
        super({
            name: "InternalServerErrorException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalServerErrorException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalServerErrorException.prototype);
        this.Message = opts.Message;
    }
}
exports.InternalServerErrorException = InternalServerErrorException;
class NotFoundException extends MediaPackageServiceException_1.MediaPackageServiceException {
    constructor(opts) {
        super({
            name: "NotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "NotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, NotFoundException.prototype);
        this.Message = opts.Message;
    }
}
exports.NotFoundException = NotFoundException;
class ServiceUnavailableException extends MediaPackageServiceException_1.MediaPackageServiceException {
    constructor(opts) {
        super({
            name: "ServiceUnavailableException",
            $fault: "server",
            ...opts,
        });
        this.name = "ServiceUnavailableException";
        this.$fault = "server";
        Object.setPrototypeOf(this, ServiceUnavailableException.prototype);
        this.Message = opts.Message;
    }
}
exports.ServiceUnavailableException = ServiceUnavailableException;
class TooManyRequestsException extends MediaPackageServiceException_1.MediaPackageServiceException {
    constructor(opts) {
        super({
            name: "TooManyRequestsException",
            $fault: "client",
            ...opts,
        });
        this.name = "TooManyRequestsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TooManyRequestsException.prototype);
        this.Message = opts.Message;
    }
}
exports.TooManyRequestsException = TooManyRequestsException;
class UnprocessableEntityException extends MediaPackageServiceException_1.MediaPackageServiceException {
    constructor(opts) {
        super({
            name: "UnprocessableEntityException",
            $fault: "client",
            ...opts,
        });
        this.name = "UnprocessableEntityException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UnprocessableEntityException.prototype);
        this.Message = opts.Message;
    }
}
exports.UnprocessableEntityException = UnprocessableEntityException;
var CreateChannelRequest;
(function (CreateChannelRequest) {
    CreateChannelRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateChannelRequest = exports.CreateChannelRequest || (exports.CreateChannelRequest = {}));
var CreateChannelResponse;
(function (CreateChannelResponse) {
    CreateChannelResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateChannelResponse = exports.CreateChannelResponse || (exports.CreateChannelResponse = {}));
var CreateHarvestJobRequest;
(function (CreateHarvestJobRequest) {
    CreateHarvestJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateHarvestJobRequest = exports.CreateHarvestJobRequest || (exports.CreateHarvestJobRequest = {}));
var CreateHarvestJobResponse;
(function (CreateHarvestJobResponse) {
    CreateHarvestJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateHarvestJobResponse = exports.CreateHarvestJobResponse || (exports.CreateHarvestJobResponse = {}));
var CreateOriginEndpointRequest;
(function (CreateOriginEndpointRequest) {
    CreateOriginEndpointRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateOriginEndpointRequest = exports.CreateOriginEndpointRequest || (exports.CreateOriginEndpointRequest = {}));
var CreateOriginEndpointResponse;
(function (CreateOriginEndpointResponse) {
    CreateOriginEndpointResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateOriginEndpointResponse = exports.CreateOriginEndpointResponse || (exports.CreateOriginEndpointResponse = {}));
var DeleteChannelRequest;
(function (DeleteChannelRequest) {
    DeleteChannelRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteChannelRequest = exports.DeleteChannelRequest || (exports.DeleteChannelRequest = {}));
var DeleteChannelResponse;
(function (DeleteChannelResponse) {
    DeleteChannelResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteChannelResponse = exports.DeleteChannelResponse || (exports.DeleteChannelResponse = {}));
var DeleteOriginEndpointRequest;
(function (DeleteOriginEndpointRequest) {
    DeleteOriginEndpointRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteOriginEndpointRequest = exports.DeleteOriginEndpointRequest || (exports.DeleteOriginEndpointRequest = {}));
var DeleteOriginEndpointResponse;
(function (DeleteOriginEndpointResponse) {
    DeleteOriginEndpointResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteOriginEndpointResponse = exports.DeleteOriginEndpointResponse || (exports.DeleteOriginEndpointResponse = {}));
var DescribeChannelRequest;
(function (DescribeChannelRequest) {
    DescribeChannelRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeChannelRequest = exports.DescribeChannelRequest || (exports.DescribeChannelRequest = {}));
var DescribeChannelResponse;
(function (DescribeChannelResponse) {
    DescribeChannelResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeChannelResponse = exports.DescribeChannelResponse || (exports.DescribeChannelResponse = {}));
var DescribeHarvestJobRequest;
(function (DescribeHarvestJobRequest) {
    DescribeHarvestJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeHarvestJobRequest = exports.DescribeHarvestJobRequest || (exports.DescribeHarvestJobRequest = {}));
var DescribeHarvestJobResponse;
(function (DescribeHarvestJobResponse) {
    DescribeHarvestJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeHarvestJobResponse = exports.DescribeHarvestJobResponse || (exports.DescribeHarvestJobResponse = {}));
var DescribeOriginEndpointRequest;
(function (DescribeOriginEndpointRequest) {
    DescribeOriginEndpointRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeOriginEndpointRequest = exports.DescribeOriginEndpointRequest || (exports.DescribeOriginEndpointRequest = {}));
var DescribeOriginEndpointResponse;
(function (DescribeOriginEndpointResponse) {
    DescribeOriginEndpointResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeOriginEndpointResponse = exports.DescribeOriginEndpointResponse || (exports.DescribeOriginEndpointResponse = {}));
var ListChannelsRequest;
(function (ListChannelsRequest) {
    ListChannelsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListChannelsRequest = exports.ListChannelsRequest || (exports.ListChannelsRequest = {}));
var ListChannelsResponse;
(function (ListChannelsResponse) {
    ListChannelsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListChannelsResponse = exports.ListChannelsResponse || (exports.ListChannelsResponse = {}));
var ListHarvestJobsRequest;
(function (ListHarvestJobsRequest) {
    ListHarvestJobsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListHarvestJobsRequest = exports.ListHarvestJobsRequest || (exports.ListHarvestJobsRequest = {}));
var ListHarvestJobsResponse;
(function (ListHarvestJobsResponse) {
    ListHarvestJobsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListHarvestJobsResponse = exports.ListHarvestJobsResponse || (exports.ListHarvestJobsResponse = {}));
var ListOriginEndpointsRequest;
(function (ListOriginEndpointsRequest) {
    ListOriginEndpointsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListOriginEndpointsRequest = exports.ListOriginEndpointsRequest || (exports.ListOriginEndpointsRequest = {}));
var ListOriginEndpointsResponse;
(function (ListOriginEndpointsResponse) {
    ListOriginEndpointsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListOriginEndpointsResponse = exports.ListOriginEndpointsResponse || (exports.ListOriginEndpointsResponse = {}));
var ListTagsForResourceRequest;
(function (ListTagsForResourceRequest) {
    ListTagsForResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceRequest = exports.ListTagsForResourceRequest || (exports.ListTagsForResourceRequest = {}));
var ListTagsForResourceResponse;
(function (ListTagsForResourceResponse) {
    ListTagsForResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceResponse = exports.ListTagsForResourceResponse || (exports.ListTagsForResourceResponse = {}));
var RotateChannelCredentialsRequest;
(function (RotateChannelCredentialsRequest) {
    RotateChannelCredentialsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RotateChannelCredentialsRequest = exports.RotateChannelCredentialsRequest || (exports.RotateChannelCredentialsRequest = {}));
var RotateChannelCredentialsResponse;
(function (RotateChannelCredentialsResponse) {
    RotateChannelCredentialsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RotateChannelCredentialsResponse = exports.RotateChannelCredentialsResponse || (exports.RotateChannelCredentialsResponse = {}));
var RotateIngestEndpointCredentialsRequest;
(function (RotateIngestEndpointCredentialsRequest) {
    RotateIngestEndpointCredentialsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RotateIngestEndpointCredentialsRequest = exports.RotateIngestEndpointCredentialsRequest || (exports.RotateIngestEndpointCredentialsRequest = {}));
var RotateIngestEndpointCredentialsResponse;
(function (RotateIngestEndpointCredentialsResponse) {
    RotateIngestEndpointCredentialsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RotateIngestEndpointCredentialsResponse = exports.RotateIngestEndpointCredentialsResponse || (exports.RotateIngestEndpointCredentialsResponse = {}));
var TagResourceRequest;
(function (TagResourceRequest) {
    TagResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceRequest = exports.TagResourceRequest || (exports.TagResourceRequest = {}));
var UntagResourceRequest;
(function (UntagResourceRequest) {
    UntagResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceRequest = exports.UntagResourceRequest || (exports.UntagResourceRequest = {}));
var UpdateChannelRequest;
(function (UpdateChannelRequest) {
    UpdateChannelRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateChannelRequest = exports.UpdateChannelRequest || (exports.UpdateChannelRequest = {}));
var UpdateChannelResponse;
(function (UpdateChannelResponse) {
    UpdateChannelResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateChannelResponse = exports.UpdateChannelResponse || (exports.UpdateChannelResponse = {}));
var UpdateOriginEndpointRequest;
(function (UpdateOriginEndpointRequest) {
    UpdateOriginEndpointRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateOriginEndpointRequest = exports.UpdateOriginEndpointRequest || (exports.UpdateOriginEndpointRequest = {}));
var UpdateOriginEndpointResponse;
(function (UpdateOriginEndpointResponse) {
    UpdateOriginEndpointResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateOriginEndpointResponse = exports.UpdateOriginEndpointResponse || (exports.UpdateOriginEndpointResponse = {}));
