import { __assign, __extends } from "tslib";
import { MediaPackageServiceException as __BaseException } from "./MediaPackageServiceException";
export var __AdTriggersElement;
(function (__AdTriggersElement) {
    __AdTriggersElement["BREAK"] = "BREAK";
    __AdTriggersElement["DISTRIBUTOR_ADVERTISEMENT"] = "DISTRIBUTOR_ADVERTISEMENT";
    __AdTriggersElement["DISTRIBUTOR_OVERLAY_PLACEMENT_OPPORTUNITY"] = "DISTRIBUTOR_OVERLAY_PLACEMENT_OPPORTUNITY";
    __AdTriggersElement["DISTRIBUTOR_PLACEMENT_OPPORTUNITY"] = "DISTRIBUTOR_PLACEMENT_OPPORTUNITY";
    __AdTriggersElement["PROVIDER_ADVERTISEMENT"] = "PROVIDER_ADVERTISEMENT";
    __AdTriggersElement["PROVIDER_OVERLAY_PLACEMENT_OPPORTUNITY"] = "PROVIDER_OVERLAY_PLACEMENT_OPPORTUNITY";
    __AdTriggersElement["PROVIDER_PLACEMENT_OPPORTUNITY"] = "PROVIDER_PLACEMENT_OPPORTUNITY";
    __AdTriggersElement["SPLICE_INSERT"] = "SPLICE_INSERT";
})(__AdTriggersElement || (__AdTriggersElement = {}));
export var __PeriodTriggersElement;
(function (__PeriodTriggersElement) {
    __PeriodTriggersElement["ADS"] = "ADS";
})(__PeriodTriggersElement || (__PeriodTriggersElement = {}));
export var EgressAccessLogs;
(function (EgressAccessLogs) {
    EgressAccessLogs.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EgressAccessLogs || (EgressAccessLogs = {}));
export var IngestEndpoint;
(function (IngestEndpoint) {
    IngestEndpoint.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(IngestEndpoint || (IngestEndpoint = {}));
export var HlsIngest;
(function (HlsIngest) {
    HlsIngest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(HlsIngest || (HlsIngest = {}));
export var IngressAccessLogs;
(function (IngressAccessLogs) {
    IngressAccessLogs.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(IngressAccessLogs || (IngressAccessLogs = {}));
export var Channel;
(function (Channel) {
    Channel.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Channel || (Channel = {}));
export var S3Destination;
(function (S3Destination) {
    S3Destination.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(S3Destination || (S3Destination = {}));
export var Status;
(function (Status) {
    Status["FAILED"] = "FAILED";
    Status["IN_PROGRESS"] = "IN_PROGRESS";
    Status["SUCCEEDED"] = "SUCCEEDED";
})(Status || (Status = {}));
export var HarvestJob;
(function (HarvestJob) {
    HarvestJob.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(HarvestJob || (HarvestJob = {}));
export var AdMarkers;
(function (AdMarkers) {
    AdMarkers["DATERANGE"] = "DATERANGE";
    AdMarkers["NONE"] = "NONE";
    AdMarkers["PASSTHROUGH"] = "PASSTHROUGH";
    AdMarkers["SCTE35_ENHANCED"] = "SCTE35_ENHANCED";
})(AdMarkers || (AdMarkers = {}));
export var PlaylistType;
(function (PlaylistType) {
    PlaylistType["EVENT"] = "EVENT";
    PlaylistType["NONE"] = "NONE";
    PlaylistType["VOD"] = "VOD";
})(PlaylistType || (PlaylistType = {}));
export var HlsManifest;
(function (HlsManifest) {
    HlsManifest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(HlsManifest || (HlsManifest = {}));
export var AdsOnDeliveryRestrictions;
(function (AdsOnDeliveryRestrictions) {
    AdsOnDeliveryRestrictions["BOTH"] = "BOTH";
    AdsOnDeliveryRestrictions["NONE"] = "NONE";
    AdsOnDeliveryRestrictions["RESTRICTED"] = "RESTRICTED";
    AdsOnDeliveryRestrictions["UNRESTRICTED"] = "UNRESTRICTED";
})(AdsOnDeliveryRestrictions || (AdsOnDeliveryRestrictions = {}));
export var HlsManifestCreateOrUpdateParameters;
(function (HlsManifestCreateOrUpdateParameters) {
    HlsManifestCreateOrUpdateParameters.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(HlsManifestCreateOrUpdateParameters || (HlsManifestCreateOrUpdateParameters = {}));
export var Authorization;
(function (Authorization) {
    Authorization.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Authorization || (Authorization = {}));
export var PresetSpeke20Audio;
(function (PresetSpeke20Audio) {
    PresetSpeke20Audio["PRESET_AUDIO_1"] = "PRESET-AUDIO-1";
})(PresetSpeke20Audio || (PresetSpeke20Audio = {}));
export var PresetSpeke20Video;
(function (PresetSpeke20Video) {
    PresetSpeke20Video["PRESET_VIDEO_1"] = "PRESET-VIDEO-1";
})(PresetSpeke20Video || (PresetSpeke20Video = {}));
export var EncryptionContractConfiguration;
(function (EncryptionContractConfiguration) {
    EncryptionContractConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EncryptionContractConfiguration || (EncryptionContractConfiguration = {}));
export var SpekeKeyProvider;
(function (SpekeKeyProvider) {
    SpekeKeyProvider.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SpekeKeyProvider || (SpekeKeyProvider = {}));
export var CmafEncryption;
(function (CmafEncryption) {
    CmafEncryption.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CmafEncryption || (CmafEncryption = {}));
export var StreamOrder;
(function (StreamOrder) {
    StreamOrder["ORIGINAL"] = "ORIGINAL";
    StreamOrder["VIDEO_BITRATE_ASCENDING"] = "VIDEO_BITRATE_ASCENDING";
    StreamOrder["VIDEO_BITRATE_DESCENDING"] = "VIDEO_BITRATE_DESCENDING";
})(StreamOrder || (StreamOrder = {}));
export var StreamSelection;
(function (StreamSelection) {
    StreamSelection.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StreamSelection || (StreamSelection = {}));
export var CmafPackage;
(function (CmafPackage) {
    CmafPackage.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CmafPackage || (CmafPackage = {}));
export var DashEncryption;
(function (DashEncryption) {
    DashEncryption.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DashEncryption || (DashEncryption = {}));
export var ManifestLayout;
(function (ManifestLayout) {
    ManifestLayout["COMPACT"] = "COMPACT";
    ManifestLayout["FULL"] = "FULL";
})(ManifestLayout || (ManifestLayout = {}));
export var Profile;
(function (Profile) {
    Profile["HBBTV_1_5"] = "HBBTV_1_5";
    Profile["HYBRIDCAST"] = "HYBRIDCAST";
    Profile["NONE"] = "NONE";
})(Profile || (Profile = {}));
export var SegmentTemplateFormat;
(function (SegmentTemplateFormat) {
    SegmentTemplateFormat["NUMBER_WITH_DURATION"] = "NUMBER_WITH_DURATION";
    SegmentTemplateFormat["NUMBER_WITH_TIMELINE"] = "NUMBER_WITH_TIMELINE";
    SegmentTemplateFormat["TIME_WITH_TIMELINE"] = "TIME_WITH_TIMELINE";
})(SegmentTemplateFormat || (SegmentTemplateFormat = {}));
export var UtcTiming;
(function (UtcTiming) {
    UtcTiming["HTTP_HEAD"] = "HTTP-HEAD";
    UtcTiming["HTTP_ISO"] = "HTTP-ISO";
    UtcTiming["NONE"] = "NONE";
})(UtcTiming || (UtcTiming = {}));
export var DashPackage;
(function (DashPackage) {
    DashPackage.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DashPackage || (DashPackage = {}));
export var EncryptionMethod;
(function (EncryptionMethod) {
    EncryptionMethod["AES_128"] = "AES_128";
    EncryptionMethod["SAMPLE_AES"] = "SAMPLE_AES";
})(EncryptionMethod || (EncryptionMethod = {}));
export var HlsEncryption;
(function (HlsEncryption) {
    HlsEncryption.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(HlsEncryption || (HlsEncryption = {}));
export var HlsPackage;
(function (HlsPackage) {
    HlsPackage.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(HlsPackage || (HlsPackage = {}));
export var MssEncryption;
(function (MssEncryption) {
    MssEncryption.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(MssEncryption || (MssEncryption = {}));
export var MssPackage;
(function (MssPackage) {
    MssPackage.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(MssPackage || (MssPackage = {}));
export var Origination;
(function (Origination) {
    Origination["ALLOW"] = "ALLOW";
    Origination["DENY"] = "DENY";
})(Origination || (Origination = {}));
export var OriginEndpoint;
(function (OriginEndpoint) {
    OriginEndpoint.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(OriginEndpoint || (OriginEndpoint = {}));
export var CmafPackageCreateOrUpdateParameters;
(function (CmafPackageCreateOrUpdateParameters) {
    CmafPackageCreateOrUpdateParameters.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CmafPackageCreateOrUpdateParameters || (CmafPackageCreateOrUpdateParameters = {}));
export var ConfigureLogsRequest;
(function (ConfigureLogsRequest) {
    ConfigureLogsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ConfigureLogsRequest || (ConfigureLogsRequest = {}));
export var ConfigureLogsResponse;
(function (ConfigureLogsResponse) {
    ConfigureLogsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ConfigureLogsResponse || (ConfigureLogsResponse = {}));
var ForbiddenException = (function (_super) {
    __extends(ForbiddenException, _super);
    function ForbiddenException(opts) {
        var _this = _super.call(this, __assign({ name: "ForbiddenException", $fault: "client" }, opts)) || this;
        _this.name = "ForbiddenException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ForbiddenException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ForbiddenException;
}(__BaseException));
export { ForbiddenException };
var InternalServerErrorException = (function (_super) {
    __extends(InternalServerErrorException, _super);
    function InternalServerErrorException(opts) {
        var _this = _super.call(this, __assign({ name: "InternalServerErrorException", $fault: "server" }, opts)) || this;
        _this.name = "InternalServerErrorException";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, InternalServerErrorException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InternalServerErrorException;
}(__BaseException));
export { InternalServerErrorException };
var NotFoundException = (function (_super) {
    __extends(NotFoundException, _super);
    function NotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "NotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "NotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, NotFoundException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return NotFoundException;
}(__BaseException));
export { NotFoundException };
var ServiceUnavailableException = (function (_super) {
    __extends(ServiceUnavailableException, _super);
    function ServiceUnavailableException(opts) {
        var _this = _super.call(this, __assign({ name: "ServiceUnavailableException", $fault: "server" }, opts)) || this;
        _this.name = "ServiceUnavailableException";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, ServiceUnavailableException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ServiceUnavailableException;
}(__BaseException));
export { ServiceUnavailableException };
var TooManyRequestsException = (function (_super) {
    __extends(TooManyRequestsException, _super);
    function TooManyRequestsException(opts) {
        var _this = _super.call(this, __assign({ name: "TooManyRequestsException", $fault: "client" }, opts)) || this;
        _this.name = "TooManyRequestsException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, TooManyRequestsException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return TooManyRequestsException;
}(__BaseException));
export { TooManyRequestsException };
var UnprocessableEntityException = (function (_super) {
    __extends(UnprocessableEntityException, _super);
    function UnprocessableEntityException(opts) {
        var _this = _super.call(this, __assign({ name: "UnprocessableEntityException", $fault: "client" }, opts)) || this;
        _this.name = "UnprocessableEntityException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, UnprocessableEntityException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return UnprocessableEntityException;
}(__BaseException));
export { UnprocessableEntityException };
export var CreateChannelRequest;
(function (CreateChannelRequest) {
    CreateChannelRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateChannelRequest || (CreateChannelRequest = {}));
export var CreateChannelResponse;
(function (CreateChannelResponse) {
    CreateChannelResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateChannelResponse || (CreateChannelResponse = {}));
export var CreateHarvestJobRequest;
(function (CreateHarvestJobRequest) {
    CreateHarvestJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateHarvestJobRequest || (CreateHarvestJobRequest = {}));
export var CreateHarvestJobResponse;
(function (CreateHarvestJobResponse) {
    CreateHarvestJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateHarvestJobResponse || (CreateHarvestJobResponse = {}));
export var CreateOriginEndpointRequest;
(function (CreateOriginEndpointRequest) {
    CreateOriginEndpointRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateOriginEndpointRequest || (CreateOriginEndpointRequest = {}));
export var CreateOriginEndpointResponse;
(function (CreateOriginEndpointResponse) {
    CreateOriginEndpointResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateOriginEndpointResponse || (CreateOriginEndpointResponse = {}));
export var DeleteChannelRequest;
(function (DeleteChannelRequest) {
    DeleteChannelRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteChannelRequest || (DeleteChannelRequest = {}));
export var DeleteChannelResponse;
(function (DeleteChannelResponse) {
    DeleteChannelResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteChannelResponse || (DeleteChannelResponse = {}));
export var DeleteOriginEndpointRequest;
(function (DeleteOriginEndpointRequest) {
    DeleteOriginEndpointRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteOriginEndpointRequest || (DeleteOriginEndpointRequest = {}));
export var DeleteOriginEndpointResponse;
(function (DeleteOriginEndpointResponse) {
    DeleteOriginEndpointResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteOriginEndpointResponse || (DeleteOriginEndpointResponse = {}));
export var DescribeChannelRequest;
(function (DescribeChannelRequest) {
    DescribeChannelRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeChannelRequest || (DescribeChannelRequest = {}));
export var DescribeChannelResponse;
(function (DescribeChannelResponse) {
    DescribeChannelResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeChannelResponse || (DescribeChannelResponse = {}));
export var DescribeHarvestJobRequest;
(function (DescribeHarvestJobRequest) {
    DescribeHarvestJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeHarvestJobRequest || (DescribeHarvestJobRequest = {}));
export var DescribeHarvestJobResponse;
(function (DescribeHarvestJobResponse) {
    DescribeHarvestJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeHarvestJobResponse || (DescribeHarvestJobResponse = {}));
export var DescribeOriginEndpointRequest;
(function (DescribeOriginEndpointRequest) {
    DescribeOriginEndpointRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeOriginEndpointRequest || (DescribeOriginEndpointRequest = {}));
export var DescribeOriginEndpointResponse;
(function (DescribeOriginEndpointResponse) {
    DescribeOriginEndpointResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeOriginEndpointResponse || (DescribeOriginEndpointResponse = {}));
export var ListChannelsRequest;
(function (ListChannelsRequest) {
    ListChannelsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListChannelsRequest || (ListChannelsRequest = {}));
export var ListChannelsResponse;
(function (ListChannelsResponse) {
    ListChannelsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListChannelsResponse || (ListChannelsResponse = {}));
export var ListHarvestJobsRequest;
(function (ListHarvestJobsRequest) {
    ListHarvestJobsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListHarvestJobsRequest || (ListHarvestJobsRequest = {}));
export var ListHarvestJobsResponse;
(function (ListHarvestJobsResponse) {
    ListHarvestJobsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListHarvestJobsResponse || (ListHarvestJobsResponse = {}));
export var ListOriginEndpointsRequest;
(function (ListOriginEndpointsRequest) {
    ListOriginEndpointsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListOriginEndpointsRequest || (ListOriginEndpointsRequest = {}));
export var ListOriginEndpointsResponse;
(function (ListOriginEndpointsResponse) {
    ListOriginEndpointsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListOriginEndpointsResponse || (ListOriginEndpointsResponse = {}));
export var ListTagsForResourceRequest;
(function (ListTagsForResourceRequest) {
    ListTagsForResourceRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTagsForResourceRequest || (ListTagsForResourceRequest = {}));
export var ListTagsForResourceResponse;
(function (ListTagsForResourceResponse) {
    ListTagsForResourceResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTagsForResourceResponse || (ListTagsForResourceResponse = {}));
export var RotateChannelCredentialsRequest;
(function (RotateChannelCredentialsRequest) {
    RotateChannelCredentialsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RotateChannelCredentialsRequest || (RotateChannelCredentialsRequest = {}));
export var RotateChannelCredentialsResponse;
(function (RotateChannelCredentialsResponse) {
    RotateChannelCredentialsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RotateChannelCredentialsResponse || (RotateChannelCredentialsResponse = {}));
export var RotateIngestEndpointCredentialsRequest;
(function (RotateIngestEndpointCredentialsRequest) {
    RotateIngestEndpointCredentialsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RotateIngestEndpointCredentialsRequest || (RotateIngestEndpointCredentialsRequest = {}));
export var RotateIngestEndpointCredentialsResponse;
(function (RotateIngestEndpointCredentialsResponse) {
    RotateIngestEndpointCredentialsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RotateIngestEndpointCredentialsResponse || (RotateIngestEndpointCredentialsResponse = {}));
export var TagResourceRequest;
(function (TagResourceRequest) {
    TagResourceRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagResourceRequest || (TagResourceRequest = {}));
export var UntagResourceRequest;
(function (UntagResourceRequest) {
    UntagResourceRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UntagResourceRequest || (UntagResourceRequest = {}));
export var UpdateChannelRequest;
(function (UpdateChannelRequest) {
    UpdateChannelRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateChannelRequest || (UpdateChannelRequest = {}));
export var UpdateChannelResponse;
(function (UpdateChannelResponse) {
    UpdateChannelResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateChannelResponse || (UpdateChannelResponse = {}));
export var UpdateOriginEndpointRequest;
(function (UpdateOriginEndpointRequest) {
    UpdateOriginEndpointRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateOriginEndpointRequest || (UpdateOriginEndpointRequest = {}));
export var UpdateOriginEndpointResponse;
(function (UpdateOriginEndpointResponse) {
    UpdateOriginEndpointResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateOriginEndpointResponse || (UpdateOriginEndpointResponse = {}));
